/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Arduino;
import com.tabajara.base.tables.records.ArduinoRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ArduinoDao extends AbstractVertxDAO<ArduinoRecord, com.tabajara.base.tables.pojos.Arduino, Integer, Future<List<com.tabajara.base.tables.pojos.Arduino>>, Future<com.tabajara.base.tables.pojos.Arduino>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<ArduinoRecord,com.tabajara.base.tables.pojos.Arduino,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public ArduinoDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Arduino.ARDUINO, com.tabajara.base.tables.pojos.Arduino.class, new JDBCClassicQueryExecutor<ArduinoRecord,com.tabajara.base.tables.pojos.Arduino,Integer>(com.tabajara.base.tables.pojos.Arduino.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Arduino object) {
        return object.getArdid();
    }

    /**
     * Find records that have <code>ardlocal IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduino>> findManyByArdlocal(List<String> values) {
        return findManyByCondition(Arduino.ARDUINO.ARDLOCAL.in(values));
    }

    /**
     * Find records that have <code>ardstatus IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduino>> findManyByArdstatus(List<String> values) {
        return findManyByCondition(Arduino.ARDUINO.ARDSTATUS.in(values));
    }

    /**
     * Find records that have <code>ardvirtual IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduino>> findManyByArdvirtual(List<String> values) {
        return findManyByCondition(Arduino.ARDUINO.ARDVIRTUAL.in(values));
    }

    /**
     * Find records that have <code>ardativo IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduino>> findManyByArdativo(List<String> values) {
        return findManyByCondition(Arduino.ARDUINO.ARDATIVO.in(values));
    }

    /**
     * Find records that have <code>fktanid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduino>> findManyByFktanid(List<Integer> values) {
        return findManyByCondition(Arduino.ARDUINO.FKTANID.in(values));
    }
}
